docker-build:
  # Use the official docker image.
  image: docker:latest
  stage: build
  variables:
    CONTAINER_TEST_IMAGE: $CI_REGISTRY_IMAGE/abc
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t $CONTAINER_TEST_IMAGE .
    - docker push $CONTAINER_TEST_IMAGE